Summary:	Userspace interface to kernel DRM services
Summary(pl.UTF-8):	Interfejs przestrzeni użytkownika do usług DRM jądra
Name:		libdrm
Version:	2.4.59
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://dri.freedesktop.org/libdrm/%{name}-%{version}.tar.bz2
# Source0-md5:	d32a1d37c2546ee11fc5924abeedb23e
Patch0:		libdrm-intel-init.patch
URL:		http://dri.freedesktop.org/
BuildRequires:	autoconf >= 2.63
BuildRequires:	automake >= 1:1.10
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	libpthread-stubs
BuildRequires:	libtool >= 2:2.2
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	sed >= 4.0
BuildRequires:	xorg-lib-libpciaccess-devel >= 0.10
Requires:	xorg-lib-libpciaccess >= 0.10
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Userspace interface to kernel DRM services.

%description -l pl.UTF-8
Interfejs przestrzeni użytkownika do usług DRM jądra.

%package devel
Summary:	Header files for libdrm library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libdrm
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libdrm library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libdrm.

%package static
Summary:	Static libdrm library
Summary(pl.UTF-8):	Statyczna biblioteka libdrm
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libdrm library.

%description static -l pl.UTF-8
Statyczna biblioteka libdrm.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--enable-static \
%ifarch arm
	--enable-exynos-experimental-api \
	--enable-freedreno-experimental-api \
	--enable-omap-experimental-api \
	--enable-tegra-experimental-api
%endif

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdrm.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm.so.2
%attr(755,root,root) %{_libdir}/libdrm_intel.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_intel.so.1
%attr(755,root,root) %{_libdir}/libdrm_nouveau.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_nouveau.so.2
%attr(755,root,root) %{_libdir}/libdrm_radeon.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_radeon.so.1
%ifarch arm
%attr(755,root,root) %{_libdir}/libdrm_exynos.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_exynos.so.1
%attr(755,root,root) %{_libdir}/libdrm_freedreno.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_freedreno.so.1
%attr(755,root,root) %{_libdir}/libdrm_omap.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_omap.so.1
%attr(755,root,root) %{_libdir}/libdrm_tegra.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libdrm_tegra.so.0
%endif
%attr(755,root,root) %{_libdir}/libkms.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libkms.so.1

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdrm.so
%attr(755,root,root) %{_libdir}/libdrm_intel.so
%attr(755,root,root) %{_libdir}/libdrm_nouveau.so
%attr(755,root,root) %{_libdir}/libdrm_radeon.so
%attr(755,root,root) %{_libdir}/libkms.so
%{_libdir}/libdrm.la
%{_libdir}/libdrm_intel.la
%{_libdir}/libdrm_nouveau.la
%{_libdir}/libdrm_radeon.la
%{_libdir}/libkms.la
%{_includedir}/libdrm
%{_includedir}/libkms
%{_includedir}/xf86drm.h
%{_includedir}/xf86drmMode.h
%{_pkgconfigdir}/libdrm.pc
%{_pkgconfigdir}/libdrm_intel.pc
%{_pkgconfigdir}/libdrm_nouveau.pc
%{_pkgconfigdir}/libdrm_radeon.pc
%{_pkgconfigdir}/libkms.pc
%ifarch arm
%attr(755,root,root) %{_libdir}/libdrm_exynos.so
%attr(755,root,root) %{_libdir}/libdrm_freedreno.so
%attr(755,root,root) %{_libdir}/libdrm_omap.so
%attr(755,root,root) %{_libdir}/libdrm_tegra.so
%{_libdir}/libdrm_exynos.la
%{_libdir}/libdrm_freedreno.la
%{_libdir}/libdrm_omap.la
%{_libdir}/libdrm_tegra.la
%{_includedir}/exynos
%{_includedir}/freedreno
%{_includedir}/omap
# already included above
#%{_includedir}/libdrm/tegra.h
%{_pkgconfigdir}/libdrm_exynos.pc
%{_pkgconfigdir}/libdrm_freedreno.pc
%{_pkgconfigdir}/libdrm_omap.pc
%{_pkgconfigdir}/libdrm_tegra.pc
%endif
%{_mandir}/man3/drm*.3*
%{_mandir}/man7/drm*.7*

%files static
%defattr(644,root,root,755)
%{_libdir}/libdrm.a
%{_libdir}/libdrm_intel.a
%{_libdir}/libdrm_nouveau.a
%{_libdir}/libdrm_radeon.a
%ifarch arm
%{_libdir}/libdrm_exynos.a
%{_libdir}/libdrm_freedreno.a
%{_libdir}/libdrm_omap.a
%{_libdir}/libdrm_tegra.a
%endif
%{_libdir}/libkms.a
%changelog
* Wed Feb 04 2015 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/libdrm.git;a=log;h=master

* Wed Jan 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 3e5be40
- removed obsolete option; enable tegra on arm

* Wed Jan 21 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> aadf9ed
- up to 2.4.59

* Sun Sep 28 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 2ed7ffc
- up to 2.4.58

* Sun Sep 28 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e3be70
- up to 2.4.57

* Thu Sep 04 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 38af8e0
- rel 2; try to fix segfault when using non-intel gpu but libdrm checks intel related stuff

* Thu Jul 31 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 33962ea
- up to 2.4.56

* Sun Jul 27 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 348bd77
- up to 2.4.55

* Fri May 02 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 34bceb9
- up to 2.4.54

* Mon Apr 14 2014 Jakub Bogusz <qboosh@pld-linux.org> ecaf516
- updated to 2.4.53

* Sat Jan 25 2014 Jakub Bogusz <qboosh@pld-linux.org> 9dddefb
- updated to 2.4.52

* Sun Jan 19 2014 Jakub Bogusz <qboosh@pld-linux.org> e609278
- updated to 2.4.51

* Tue Dec 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> b9ab3f2
- up to 2.4.50

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> d0810eb
- updated to 2.4.49

* Sun Nov 17 2013 Jakub Bogusz <qboosh@pld-linux.org> 840b681
- updated to 2.4.48

* Fri Oct 11 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> aee6b44
- up to 2.4.47

* Wed Jul 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ba0cb6b
- up to 2.4.46

* Thu May 16 2013 Łukasz Krotowski <lkrotowski@pld-linux.org> 11c071b
- another BR for man pages generation

* Wed May 15 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> 1abb001
- up to 2.4.45

* Sat Apr 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 219ddae
- enable freedreno on arm

* Sat Apr 20 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> ea9b28a
- up to 2.4.44

